Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration
Class HierarchicalReloadableConfiguration

    java.lang.Object
      org.apache.commons.configuration.event.EventSource
          org.apache.commons.configuration.AbstractConfiguration
              org.apache.commons.configuration.HierarchicalConfiguration
                  org.apache.commons.configuration.HierarchicalReloadableConfiguration

All Implemented Interfaces:
  Serializable, Cloneable, Configuration, Reloadable

Direct Known Subclasses:
  CombinedConfiguration, SubnodeConfiguration

    public class HierarchicalReloadableConfiguration

extends HierarchicalConfiguration
implements Reloadable

A base class for hierarchical configurations with specific reloading requirements.

This class manages a lock object which can be used for synchronization.

Since:
  1.7
Version:
  $Id: HierarchicalReloadableConfiguration.java 1210000 2011-12-03 20:43:38Z oheger $
Author:
  Commons Configuration team
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.commons.configuration.HierarchicalConfiguration
`HierarchicalConfiguration.BuilderVisitor, HierarchicalConfiguration.Node, HierarchicalConfiguration.NodeVisitor`

Field Summary

Fields inherited from class org.apache.commons.configuration.HierarchicalConfiguration
`EVENT_ADD_NODES, EVENT_CLEAR_TREE, EVENT_SUBNODE_CHANGED`

Fields inherited from class org.apache.commons.configuration.AbstractConfiguration
`END_TOKEN, EVENT_ADD_PROPERTY, EVENT_CLEAR, EVENT_CLEAR_PROPERTY, EVENT_READ_PROPERTY, EVENT_SET_PROPERTY, START_TOKEN`

Constructor Summary
`HierarchicalReloadableConfiguration()` Creates a new instance of `HierarchicalReloadableConfiguration`.
`HierarchicalReloadableConfiguration(HierarchicalConfiguration c)` Creates a new instance of `HierarchicalReloadableConfiguration` and copies all data contained in the specified configuration into the new one.
`HierarchicalReloadableConfiguration(Object lock)` Creates a new instance of `HierarchicalReloadableConfiguration` and initializes it with the given lock object.

Method Summary
`Object` | `getReloadLock()` Returns the object to synchronize on a reload.

Methods inherited from class org.apache.commons.configuration.HierarchicalConfiguration
`addNodes, addPropertyDirect, clear, clearNode, clearNode, clearProperty, clearReferences, clearTree, clone, configurationAt, configurationAt, configurationsAt, containsKey, createAddPath, createNode, createSubnodeConfiguration, createSubnodeConfiguration, fetchAddNode, fetchNodeList, findLastPathNode, findPropertyNodes, getDefaultExpressionEngine, getExpressionEngine, getKeys, getKeys, getMaxIndex, getProperty, getRoot, getRootNode, interpolatedConfiguration, isEmpty, nodeDefined, nodeDefined, removeNode, removeNode, setDefaultExpressionEngine, setExpressionEngine, setProperty, setRoot, setRootNode, subnodeConfigurationChanged, subset`

Methods inherited from class org.apache.commons.configuration.AbstractConfiguration
`addErrorLogListener, addProperty, append, clearPropertyDirect, copy, createInterpolator, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getBoolean, getByte, getByte, getByte, getDefaultListDelimiter, getDelimiter, getDouble, getDouble, getDouble, getFloat, getFloat, getFloat, getInt, getInt, getInteger, getInterpolator, getList, getList, getListDelimiter, getLogger, getLong, getLong, getLong, getProperties, getProperties, getShort, getShort, getShort, getString, getString, getStringArray, getSubstitutor, interpolate, interpolate, interpolateHelper, isDelimiterParsingDisabled, isScalarValue, isThrowExceptionOnMissing, resolveContainerStore, setDefaultListDelimiter, setDelimiter, setDelimiterParsingDisabled, setListDelimiter, setLogger, setThrowExceptionOnMissing`

Methods inherited from class org.apache.commons.configuration.event.EventSource
`addConfigurationListener, addErrorListener, clearConfigurationListeners, clearErrorListeners, createErrorEvent, createEvent, fireError, fireEvent, getConfigurationListeners, getErrorListeners, isDetailEvents, removeConfigurationListener, removeErrorListener, setDetailEvents`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HierarchicalReloadableConfiguration

    public HierarchicalReloadableConfiguration()

  Creates a new instance of `HierarchicalReloadableConfiguration`.

### HierarchicalReloadableConfiguration

    public HierarchicalReloadableConfiguration(Object lock)

  Creates a new instance of `HierarchicalReloadableConfiguration` and initializes it with the given lock object.

  Parameters:
    `lock` - the lock object

### HierarchicalReloadableConfiguration

    public HierarchicalReloadableConfiguration(HierarchicalConfiguration c)

  Creates a new instance of `HierarchicalReloadableConfiguration` and copies all data contained in the specified configuration into the new one.

  Parameters:
    `c` - the configuration that is to be copied (if null, this constructor will behave like the standard constructor)

Method Detail

### getReloadLock

    public Object getReloadLock()

  Description copied from class: `HierarchicalConfiguration`
  Returns the object to synchronize on a reload. This class is not reloadable so this object isn't important

  Specified by:
    `getReloadLock` in interface `Reloadable`
  Overrides:
    `getReloadLock` in class `HierarchicalConfiguration`
  Returns:
    the lock object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.